Skip to main content
Humans-in-the-loop can access the live view of Kernel browsers in real-time to resolve errors or take unscripted actions. To access the live view, visit the browser_live_view_url provided when you create a Kernel browser:

Query parameters

The browser_live_view_url supports additional query parameters to customize the live view:
  • readOnly (bool): when set to true, the view will be non-interactive.
Example:

Embedding in an iframe

The live view URL can be embedded in an iframe to integrate the browser view into your own application or dashboard.

Kiosk mode

Kiosk mode provides a fullscreen live view experience without browser UI elements like the address bar and tabs. You can enable kiosk mode when creating a browser by setting the kiosk_mode parameter to true.

URL lifetime

browser_live_view_url becomes invalid once the browser is deleted manually or via timeout.